---
title: SourceBuffer.textTracks
slug: Web/API/SourceBuffer/textTracks
tags:
  - API
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - SourceBuffer
  - Video
  - textTracks
---
<div>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}{{draft}}</div>

<p>The <code><strong>textTracks</strong></code> read-only property of the {{domxref("SourceBuffer")}} interface returns a list of the text tracks currently contained inside the <code>SourceBuffer</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myTextTracks</em> = <em>sourceBuffer</em>.textTracks;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("TextTrackList")}} object.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#idl-def-sourcebuffer-texttracks', 'textTracks')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.textTracks")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
